Update Lexi Conversation
curl --request PATCH \
--url https://api.example.com/v1/lexi/conversations/{id} \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"archived": true,
"context": {}
}
'import requests
url = "https://api.example.com/v1/lexi/conversations/{id}"
payload = {
"title": "<string>",
"archived": True,
"context": {}
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({title: '<string>', archived: true, context: {}})
};
fetch('https://api.example.com/v1/lexi/conversations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"title": "<string>",
"archived": true,
"context": {},
"updated_at": "<string>"
}
}Lexi AI
Update Lexi Conversation
Rename, archive, or re-assign a Lexi conversation
PATCH
/
v1
/
lexi
/
conversations
/
{id}
Update Lexi Conversation
Request
Path Parameters
string
required
Conversation UUID.
Headers
Authorization: Bearer wbk_your_api_key_here
Content-Type: application/json
string
Optional UUID for retry deduplication.
Body Parameters
string
New title. 1 - 200 characters.
boolean
true to archive, false to restore.object
Updated entity context:
contact_id, deal_id, matter_id, or null to clear a field.Response
object
X-RateLimit-Limit, X-RateLimit-Remaining, X-RateLimit-Reset, and X-Request-ID.
curl -X PATCH \
https://data.leadlex.com/functions/v1/api-gateway/v1/lexi/conversations/conv_01HY1 \
-H "Authorization: Bearer wbk_your_api_key_here" \
-H "Content-Type: application/json" \
-d '{"title": "Acme Series B briefing"}'
import requests
API_KEY = "wbk_your_api_key_here"
conv_id = "conv_01HY1"
r = requests.patch(
f"https://data.leadlex.com/functions/v1/api-gateway/v1/lexi/conversations/{conv_id}",
headers={
"Authorization": f"Bearer {API_KEY}",
"Content-Type": "application/json",
},
json={"title": "Acme Series B briefing"},
)
print(r.json()["data"]["title"])
const id = 'conv_01HY1';
const res = await fetch(
`https://data.leadlex.com/functions/v1/api-gateway/v1/lexi/conversations/${id}`,
{
method: 'PATCH',
headers: {
'Authorization': 'Bearer wbk_your_api_key_here',
'Content-Type': 'application/json',
},
body: JSON.stringify({ title: 'Acme Series B briefing' }),
}
);
const { data } = await res.json();
console.log(data.title);
Example Response
{
"data": {
"id": "conv_01HY1",
"title": "Acme Series B briefing",
"archived": false,
"context": { "contact_id": "123e4567-e89b-12d3-a456-426614174000" },
"updated_at": "2026-04-17T10:45:00Z"
}
}
Errors
| Status | Code | Description |
|---|---|---|
| 400 | validation_error | No updatable fields provided or title too long |
| 401 | invalid_key | Invalid or expired API key |
| 403 | insufficient_permissions | Missing write:ai permission |
| 404 | not_found | Conversation not found |
| 429 | rate_limited | Rate limit exceeded |